module Sphere exposing (..)

import BoundedInt exposing (BoundedInt)

type alias Sphere =
    { name : String
    , dots : BoundedInt
    }

changeSphereInList : List Sphere -> Sphere -> List Sphere
changeSphereInList spheres sphere =
    List.map ( changeSphere sphere ) spheres

changeSphere : Sphere -> Sphere -> Sphere
changeSphere newSphere sphere =
    if isSphere sphere newSphere
    then
        newSphere
    else
        sphere

isSphere : Sphere -> Sphere -> Bool
isSphere a b =
    a.name == b.name

dots : Int -> BoundedInt
dots value =
    { value = value
    , min = 0
    , max = 5
    }